Engine.FilterColorize = class
{
	getName()
	{
		return "Colorizer" + this.color.r + "g" + this.color.g + "b" + this.color.b;
	}

	init(color /*Color*/)
	{
		this.color = color;
	}

	applyFilter(image /*Texture2D*/)
	{	
		// var colors = image.GetPixels();
		// for (int i = 0; i < colors.Length; i++)
		// {
		// 	colors[i].r = color.r;
		// 	colors[i].g = color.g;
		// 	colors[i].b = color.b;
		// }
		// image.SetPixels(colors);
		// image.Apply();
	}
}